RubyGems Navigation menu

attr_deprecated 0.0.2

A simple and non-intrusive way to mark deprecated columns/attributes in your models. Any usage of these attributes will logged with a warning message and a trace of where the deprecated attribute was called. An exception can be optionally raised as well.

Versions:

  1. 0.0.2 - May 4, 2014 (9.5 KB)
Show all versions (2 total)

Runtime Dependencies:

Authors:

  • Anthony Erlinger

Owners:

Cb2525ec6155e479bdefe9ed6c437d07

Total downloads 1,893

For this version 1,883

Show all versions (2 total)

Required Ruby Version: >= 0

Licenses:

MIT

Gemfile:
gem 'attr_deprecated', '~> 0.0.2' = Copy to clipboard Copied!

install:
gem install attr_deprecated = Copy to clipboard Copied!

Links: